Bug 1314105 - python-html2text obsoletes html2text
python-html2text obsoletes html2text
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: python-html2text (Show other bugs)
epel7
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 18:44 EST by Jay Hilliard
Modified: 2018-07-16 05:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-07-11 09:41:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Hilliard 2016-03-02 18:44:41 EST
Description of problem:
If I install python-html2text, it obsoletes html2text.

Version-Release number of selected component (if applicable):
--> Running transaction check
---> Package html2text.x86_64 0:1.3.2a-14.el7.nux will be obsoleted
---> Package python-html2text.noarch 0:3.200.3-7.el7 will be updated
---> Package python-html2text.noarch 0:2015.6.6-4.el7 will be obsoleting


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
html2text is a binary, not a python api. A python api should not obsolete a binary someone is depending on unless it provides similar functionality out of the box (perhaps an html2text python script?)

Expected results:
Leave html2text alone

Additional info:
Comment 1 Björn 'besser82' Esser 2017-01-25 05:15:52 EST
(In reply to Jay Hilliard from comment #0)
> Description of problem:
> If I install python-html2text, it obsoletes html2text.
> 
> Version-Release number of selected component (if applicable):
> --> Running transaction check
> ---> Package html2text.x86_64 0:1.3.2a-14.el7.nux will be obsoleted

Your installed version of html2text comes from another third-party repo.  It isn't said anywhere, that all third-party repos can be co-existing without any conflicts.  Closing this as `NOTABUG`.
Comment 2 Lamar Owen 2018-07-11 09:38:36 EDT
I'm reopening this.  This is a bug, plain and simple, since the python2-html2text as packaged in EPEL7 is NOT the same as the html2text previously packaged (and still available) in EPEL7 (at: https://dl.fedoraproject.org/pub/epel/7/x86_64/Packages/h/html2text-1.3.2a-14.el7.x86_64.rpm ).  While EPEL has no duty to maintain a different third-party repo's packages, it does have a responsibility to not introduce a regression in its own package space.

Normal bug information:
Description of problem:
If I install python-html2text, it obsoletes html2text.

Version-Release number of selected component (if applicable):
--> Running transaction check
---> Package html2text.x86_64 0:1.3.2a-14.el7 will be obsoleted
---> Package python-html2text.noarch 0:3.200.3-7.el7 will be updated
---> Package python-html2text.noarch 0:2015.6.6-4.el7 will be obsoleting


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
html2text is a binary, not a python script, and the two do not have the same command line arguments.  The xtrs build, for instance, uses the binary, C++, html2text and relies on its arguments and its behavior.  (I hadn't had html2text installed before, and I had to install it by hand from EPEL to build xtrs, since yum now tries to install python2-html2text, which IS NOT THE RIGHT PROGRAM). 

Expected results:
Leave html2text alone; any other resolution is a regression.

Additional info:
[lowen@FREE-IP-93 ~]$ rpm -qi html2text
Name        : html2text
Version     : 1.3.2a
Release     : 14.el7
Architecture: x86_64
Install Date: Wed 11 Jul 2018 09:29:25 AM EDT
Group       : Applications/Text
Size        : 264146
License     : GPL+
Signature   : RSA/SHA256, Fri 21 Nov 2014 08:57:40 PM EST, Key ID 6a2faea2352c64e5
Source RPM  : html2text-1.3.2a-14.el7.src.rpm
Build Date  : Thu 20 Nov 2014 12:29:32 PM EST
Build Host  : buildvm-26.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://www.mbayer.de/html2text/
Summary     : HTML-to-text converter
Description :
html2text is a command line utility that converts HTML documents into
plain text.
Each HTML document is read from standard input or a (local or remote)
URI, and formatted into a stream of plain text characters that is written
to standard output or into an output-file. The program preserves the
original positions of table fields and accepts also syntactically
incorrect input, attempting to interpret it "reasonably". The rendering
is largely customisable through an RC file.
[lowen@FREE-IP-93 ~]$
Comment 3 Lamar Owen 2018-07-11 09:41:44 EDT
(In reply to Lamar Owen from comment #2)
...

Facepalm... of course, this should have been filed for the package python2-html2text, not python-html2text, and I'll refile.
Comment 4 Lamar Owen 2018-07-11 09:47:01 EDT
.... but python2-html2text is not listed as a component of EPEL7 in bugzilla, so I guess this is currently the correct component, so I'm re-opening again.
Comment 5 Lamar Owen 2018-07-11 09:52:24 EDT
Updated yum run....
[root@FREE-IP-93 ~]# yum update
...
Resolving Dependencies
--> Running transaction check
---> Package html2text.x86_64 0:1.3.2a-14.el7 will be obsoleted
---> Package python2-html2text.noarch 0:2016.9.19-1.el7 will be obsoleting
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch         Version                  Repository  Size
================================================================================
Installing:
 python2-html2text       noarch       2016.9.19-1.el7          epel        58 k
     replacing  html2text.x86_64 1.3.2a-14.el7

Transaction Summary
================================================================================
Install  1 Package

I need to remember to let my coffee kick in before filing bug reports; my apologies for my errors causing confusion.

Note You need to log in before you can comment on or make changes to this bug.